// ==PREPROCESSOR==
// @name "Playlist Manager"
// @author "Seb + inspiration and abstract from marc2003"
// @import "%fb2k_component_path%helpers.txt"
// @import "%fb2k_component_path%samples\js\lodash.min.js"
// @import "%fb2k_component_path%samples\js\common.js"
// @import "%fb2k_component_path%samples\js\panel_pl_organizer.js"
// @import "%fb2k_component_path%samples\js\pl_organizer.js"
// ==/PREPROCESSOR==

var panel = new _panel();
var pl_organizer = new _pl_organizer(10, 20, 500, 500);
pl_organizer.update();

function on_colours_changed() {
	panel.colours_changed();
	window.Repaint();
}

function on_font_changed() {
	panel.font_changed();
	window.Repaint();
}

function on_item_focus_change() {
	pl_organizer.reset();
	pl_organizer.update();
}

function on_playlists_changed() {
	pl_organizer.reset();
	pl_organizer.update();
}

function on_key_down(k) {
	pl_organizer.key_down(k);
}

function on_key_up(k) {
	pl_organizer.key_up(k);
}

function on_mouse_lbtn_up(x, y) {
	pl_organizer.lbtn_up(x, y);
}
function on_mouse_lbtn_down(x, y) {
	pl_organizer.lbtn_down(x, y);
}

function on_mouse_move(x, y) {
	pl_organizer.move(x, y);
}

function on_mouse_rbtn_up(x, y) {
	return panel.rbtn_up(x, y, pl_organizer);
}

function on_mouse_lbtn_dblclk(x, y) {
	pl_organizer.lbtn_dblck(x, y);
}

function on_mouse_wheel(s) {
	pl_organizer.wheel(s);
}

function on_paint(gr) {
	panel.paint(gr);
	panel.draw_header(gr, pl_organizer.header_text());
	pl_organizer.paint(gr);
}

function on_playback_stop(reason) {
	window.Repaint();
}

function on_playback_new_track(handle) {
	window.Repaint();
}

function on_size() {
	panel.size();
	pl_organizer.w = panel.w - (LM * 2);
	pl_organizer.h = panel.h - TM;
	pl_organizer.size();
	//buttons.update();
}}